package bc_modules;

use lib './modules';
use bc_packetint;
use bc_global;

sub req_mods {
  @bc_global::pmodules = split(',', $bc_global::mod); 
  foreach (@bc_global::pmodules) {
    (my $file = $_) =~ s|::|/|g;
    $file .= ".pm";
    require $file;
  }
}

use strict;
no strict 'refs';

# Packet Interpreters

sub exec_interpreters {
  my (@packet, $cv);
  @packet = @_;

  # Main PI
  bc_packetint::pi(@packet);

  # Use every packet interpreter in INI
  if (length($bc_global::mod) > 0) {
    @bc_global::pmodules = split(',', $bc_global::mod); 
    foreach (@bc_global::pmodules) {
      $cv = $_->can('pi');
      $cv->(@packet);
    }
  }
}

# Signal EOF
1;
